Subject: Re: serious bug with CYGNUS GCC b16
From: [email-masked] ("wiljan")

3 Dec 1996 14:05:31 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Pascal OBRY" <[email-masked]>
Original-Cc: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Pascal OBRY wrote:
>      Yes, you are right, thanks for your advice. But I'am a software
>      engineer and would not do this anyway.
>      
>      But this does not answer my question. I'am not
>      doing this in a real project but I made up a code that shows a
problem
>      with the CYGNUS GCC. This problem seem to be that static variable do
>      corrupt the dll entry table and others datas, I had hard time to
>      figure this out.
>      
>      My original problem was that a static (small) table corrupted the
>      entry table for DLL. So some Win32 calls (like GetSystemTime) was
>      crashing GCC. Larger the table was and smaller was the number of
>      entry table not corrupted (i.e. the number of Win32 calls that
>      does not crash GCC)
>      
>      So this is a real bug in CYGNUS GCC, my little *sample* program
shows
>      the problem.
>      
>      I just need to know if this is a know bug ? And if it could be fixed
>      in the next version of GCC (b17) ?
I had similar experiences trying to build a DLL using b16.
I first tried to build the dll using the dlltool from cygnus and I was not
able to
get things working.
Then I switched using the linker from MS VC V4.0.
That allowed me to link dlls to gether, but they where also incorrect.
I am 100% sure that the initialised data sections did not get to the place
where
the should be (or offsets where wrong).
At this point I was getting pretty deperate.
I finally got it working when I switched the assembler.
That means I now use as.exe from gnat304a (done by LABTEK)
and link the dlls using the microsoft linker.
That gives me working dlls right now.

Does someone have an idea what is wrong ??

Is there someone who can help me to solve this problem ??

Greetings,

Wiljan

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".